/*
 * File: VP.i
 *
 * VP module
 */

#define TEVPEXPORT

%extend te::vp::MakeGeometryValid
{
  static std::string te::vp::MakeGeometryValid::makeValid(te::map::AbstractLayer* layer,
                                          const std::string& dataSetName,
                                          te::da::ObjectIdSet* oidSet)
  {
    te::da::DataSourcePtr ds = te::da::GetDataSource(layer->getDataSourceId(), true);
	std::string errorMessage = "";
	te::vp::MakeGeometryValid::makeValid(ds, dataSetName, errorMessage, oidSet);
	return errorMessage;
  }
}
